Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.tap.hadoop.io
Class MultiRecordReaderIterator

    java.lang.Object
      cascading.tap.hadoop.io.MultiRecordReaderIterator

All Implemented Interfaces:
  CloseableIterator<RecordReader>, Closeable, Iterator<RecordReader>

    public class MultiRecordReaderIterator

extends Object
implements CloseableIterator<RecordReader>

Class TapIterator is an implementation of `CloseableIterator`. It is returned by `Tap` instances when opening the taps resource for reading.

Constructor Summary
`MultiRecordReaderIterator(FlowProcess<JobConf> flowProcess, Tap tap)` Constructor TapIterator creates a new TapIterator instance.

Method Summary
`void` | `close()`
`boolean` | `hasNext()` Method hasNext returns true if there more `Tuple` instances available.
`RecordReader` | `next()` Method next returns the next `Tuple`.
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiRecordReaderIterator

    public MultiRecordReaderIterator(FlowProcess<JobConf> flowProcess,
                                     Tap tap)
                              throws IOException

  Constructor TapIterator creates a new TapIterator instance.

  Throws:
    `IOException` - when

Method Detail

### hasNext

    public boolean hasNext()

  Method hasNext returns true if there more `Tuple` instances available.

  Specified by:
    `hasNext` in interface `Iterator<RecordReader>`
  Returns:
    boolean

### next

    public RecordReader next()

  Method next returns the next `Tuple`.

  Specified by:
    `next` in interface `Iterator<RecordReader>`
  Returns:
    Tuple

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator<RecordReader>`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.